import { GuitarDiagramsJS } from "./guitar-diagrams.mjs";
import { GuitarDiagramsJSMarker } from "./guitar-diagrams-marker.mjs";

let gdj2 = new GuitarDiagramsJS();
gdj2.config.canvasID = "diagram-2-canvas";
gdj2.config.stringNamesEnabled = true;
gdj2.config.orientHorizontally = true; // set horizontal orientation
gdj2.config.scaleFactor = 2;
gdj2.addCanvasToElement("diagram-1");
gdj2.drawNeck();
gdj2.addMarker(4, 2, "", null, true); // add a default (circle) marker on string 3, fret 1, text empty
gdj2.addMarker(3, 0, "", null, true);
gdj2.eventTarget = document.getElementById("diagram-2-canvas");
gdj2.addMarker(2, 2, "", null, true, null);
gdj2.addMarker(1, 0, "", null, true, null);
gdj2.addMarker(5, 0, "", null, true, null);
// gdj2.addMarker(
//   4,
//   3,
//   "",
//   null,
//   new Map([
//     [
//       "click",
//       function () {
//         console.log("Marker clicked:", this.toString());
//       },
//     ],
//     [
//       "mouseenter",
//       function () {
//         console.log("Marker clicked:", this.toString());
//       },
//     ],
//   ]),
// );
gdj2.drawAllMarkers(); // draw the markersgdj1.addCanvasToElement("diagram-1"); // add the canvas to the specified element ID on the page
